import Api from '../axios'

const prefix = '/kpim/kpim/kpiConfig'

export default {
  /* 创建KPI批量新增 */
  batchSave (obj) {
    return Api.post(prefix + '/batchSave', obj)
  },
  /* 删除KPI配置 */
  delete (obj) {
    return Api.deleteById(prefix + '/delete', obj)
  },
  /* 查看KPI配置详情 */
  getById (obj) {
    return Api.getById(prefix + '/getById', obj)
  },
  /* 查询KPI配置列表（分页） */
  listKpiConfigs (obj) {
    return Api.get(prefix + '/listKpiConfigs', obj)
  },
  /* 根据主题查询KPI列表 */
  listKpiConfigsByTopic (obj) {
    return Api.get(prefix + '/listKpiConfigsByTopic', obj)
  },
  /* 创建KPI一条 */
  save (obj) {
    return Api.post(prefix + '/save', obj)
  },
  /* 权限控制保存 */
  savePrivilegeControlRelations (obj) {
    return Api.post(prefix + '/savePrivilegeControlRelations', obj)
  },
  /* 修改KPI配置 */
  update (obj) {
    return Api.put(prefix + '/update', obj)
  },

  /* 元数据字段下拉列表查询 */
  listMdmColumnsByTable (obj) {
    return Api.get(prefix + '/listMdmColumnsByTable', obj)
  },
  /* 元数据字段分页查询 */
  listMdmColumnsWithPages (obj) {
    return Api.get(prefix + '/listMdmColumnsWithPages', obj)
  },
  /* 元数据库下拉列表查询 */
  listMdmDatabases (obj) {
    return Api.get(prefix + '/listMdmDatabases', obj)
  },
  /* 元数据表下拉列表查询 */
  listMdmTablesByDatabase (obj) {
    return Api.get(prefix + '/listMdmTablesByDatabase', obj)
  },
  /* 根据databaseId查询字段并按照table分组 */
  listMdmColumnsGroupByTable (obj) {
    return Api.get(prefix + '/listMdmColumnsGroupByTable', obj)
  },

  /**
   * 启用/停用操作
   */
  updateEnableStatus (obj) {
    return Api.put(prefix + '/updateEnableStatus', obj)
  }

}
